Page MenuHomeFreeBSD

x11-servers/xorg-server: Restore FIXDRM as an off-by-default knob
ClosedPublic

Authored by jrm on Feb 25 2020, 2:54 PM.
Tags
None
Referenced Files
Unknown Object (File)
Fri, Jul 12, 1:55 PM
Unknown Object (File)
Jun 20 2024, 2:00 PM
Unknown Object (File)
Jun 15 2024, 9:35 AM
Unknown Object (File)
Jun 10 2024, 8:44 AM
Unknown Object (File)
Jun 3 2024, 3:53 PM
Unknown Object (File)
May 23 2024, 2:44 AM
Unknown Object (File)
May 5 2024, 12:24 AM
Unknown Object (File)
Apr 24 2024, 11:20 AM
Subscribers

Details

Summary

This is a workaround for a problem with certain systems [1] after
x11-servers/xorg-server was upgraded to 1.20.7. Other workarounds are
described in PR 244306.

[1]
These systems have been reported to have problems:
Sandy Bridge
Ivy Bridge
Kaby Lake

  • Don't forget to add Approved by: and Differential Revision: **

PR: 244306
Submitted by: wulf
Reported by: philippe.michel7@free.fr

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

Add a note in pkg-message about workaround

zeising added a subscriber: zeising.

Approved.
Please leave the FIXDRM option off for now, we might want to enable it in the future, but would like some more time to figure out what's going on.
There is no need to bump portrevision I think, since the default package stays the same.

This revision is now accepted and ready to land.Feb 25 2020, 5:28 PM